# aci_canonical.hh File Reference

Declaration for the canonical() algorithm. More...

Include dependency graph for aci_canonical.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename S , typename SI >
Element< S, SI > | canonical (const Element< S, SI > &exp)
| Transform a krat expression into a canonical form using only ACI-rules.

## Detailed Description

Declaration for the canonical() algorithm.

See also:
  canonical()

Definition in file aci_canonical.hh.